> For the complete documentation index, see [llms.txt](https://docs.graphlit.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.graphlit.dev/api-guides/use-cases/feeds/web/feed-create-tavily-search.md).

# Create Tavily Search Feed

## User Intent

"How do I continuously search the web with Tavily? Show me web search feed configuration."

**Note**: Tavily API key is not required. Graphlit provides Tavily access by default and bills you for usage.

## Operation

**SDK Method**: `createFeed()` with FeedTypes.Search\
**Auth**: None required (Graphlit provides Tavily access, bills you for usage)

***

## Code Example (TypeScript)

```typescript
import { Graphlit } from 'graphlit-client';
import { FeedTypes, SearchServiceTypes } from 'graphlit-client/dist/generated/graphql-types';

const graphlit = new Graphlit();

const feed = await graphlit.createFeed({
  name: 'AI News Search',
  type: FeedTypes.Search,
  search: {
    type: SearchServiceTypes.Tavily,
    text: 'artificial intelligence news',
    readLimit: 20,
  },
  // Optional: add workflow for content processing
  // workflow: { id: workflow.createWorkflow.id }
});

console.log(`Created Tavily search feed: ${feed.createFeed.id}`);
```

***

## Configuration

**text**: Search query text\
**readLimit**: Number of results per execution\
**type**: `SearchServiceTypes.Tavily`

***

## What Gets Indexed

* Web page titles and URLs
* Page summaries and content
* Publication dates
* Relevance scores

***

## Use Cases

**News Monitoring**:

```typescript
text: 'artificial intelligence regulation policy'
```

**Research Topics**:

```typescript
text: 'quantum computing breakthroughs 2024'
```

**Company Mentions**:

```typescript
text: 'YourCompany product reviews'
```

**Technical Documentation**:

```typescript
text: 'GraphQL best practices tutorials'
```

***

## Search Service Alternatives

* **Tavily** - General web search (this guide)
* **Exa** - Semantic web search with embeddings
* **Podscan** - Podcast episode search

***

## Related

* [Exa Search Feed](/api-guides/use-cases/feeds/web/feed-create-exa-search.md) - Semantic web search
* [Podscan Feed](/api-guides/use-cases/feeds/web/feed-create-podscan-search.md) - Podcast search
* [RSS Feed](/api-guides/use-cases/feeds/web/feed-create-rss.md) - RSS/Atom feeds
* [Web Crawl](/api-guides/use-cases/feeds/web/feed-create-web-crawl.md) - Crawl specific sites


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.graphlit.dev/api-guides/use-cases/feeds/web/feed-create-tavily-search.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
